Bug 442788 - kernel: 2.6.24.4-82 Running ifconfig wlan0 down then ifconfig wlan0 up causes system to freeze.
kernel: 2.6.24.4-82 Running ifconfig wlan0 down then ifconfig wlan0 up cause...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 15:36 EDT by Jeffrey R. Evans
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-13 03:24:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey R. Evans 2008-04-16 15:36:50 EDT
Description of problem:
kernel: 2.6.24.4-82  Running ifconfig wlan0 down then ifconfig wlan0 up causes
system to freeze.

Version-Release number of selected component (if applicable):
2.6.24.4-82

How reproducible:
Install kernel 2.6.24.4-82 then down the wlan0 and up it.

Steps to Reproduce:
1.Install kernel 2.6.24.4-82.
2. Reboot when prompted.
3. Verify system boots.
4. Type ifconfig from bsh konsole.
5. Observe that wlan0 is up and operational.
6. Type ifconfig wlan0 down.  
7. Type ifconfig wlan0 up.
Actual results:
System freezes solid. 



Expected results:
System to attempt to reconnect the wlan0 interface to a local WAP.

Additional info:
Comment 1 John W. Linville 2008-04-17 13:46:37 EDT
What hardware is this?
Comment 2 Jeffrey R. Evans 2008-04-17 16:50:33 EDT
ASUS P5VDC-X Motherboard via 800 chipset
Intel D805 Processor 2.66Ghz
Kingston Valuram 2G (1024M x 2) PC3200 DDR2
Nvidia 7900 GT PCIx Video
Airlink 101 IEEE 802.11g PCI wireless card RT61 chipset
Western Digital WD400BB 40G Hard drive
Antec SLK1650B Case with 350W PSU
Dell 2865 24" LCD
Microsoft Multimedia PS/2 Keyboard
Microsoft Explorer 3.0 PS/2 Mouse
Comment 3 Jeffrey R. Evans 2008-04-17 20:07:22 EDT
lspci -v
00:00.0 Host bridge: VIA Technologies, Inc. PT894 Host Bridge
        Subsystem: VIA Technologies, Inc. PT894 Host Bridge
        Flags: bus master, medium devsel, latency 8
        Memory at d0000000 (32-bit, prefetchable) [size=256M]
        Capabilities: [80] AGP version 3.5
        Capabilities: [50] Power Management version 2
        Kernel driver in use: agpgart-via

00:00.1 Host bridge: VIA Technologies, Inc. PT894 Host Bridge
        Subsystem: VIA Technologies, Inc. PT894 Host Bridge
        Flags: bus master, medium devsel, latency 0

00:00.2 Host bridge: VIA Technologies, Inc. PT894 Host Bridge
        Subsystem: VIA Technologies, Inc. PT894 Host Bridge
        Flags: bus master, medium devsel, latency 0

00:00.3 Host bridge: VIA Technologies, Inc. PT890 Host Bridge
        Flags: bus master, medium devsel, latency 0

00:00.4 Host bridge: VIA Technologies, Inc. PT894 Host Bridge
        Subsystem: VIA Technologies, Inc. PT894 Host Bridge
        Flags: bus master, medium devsel, latency 0

00:00.5 PIC: VIA Technologies, Inc. PT894 I/O APIC Interrupt Controller (prog-if
20 [IO(X)-APIC])
        Subsystem: VIA Technologies, Inc. PT894 I/O APIC Interrupt Controller
        Flags: bus master, fast devsel, latency 0

00:00.7 Host bridge: VIA Technologies, Inc. PT894 Host Bridge
        Flags: bus master, medium devsel, latency 0

00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI Bridge (prog-if 00 [Normal
decode])
        Flags: bus master, 66MHz, medium devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        Capabilities: [70] Power Management version 2
        Kernel modules: shpchp

00:02.0 PCI bridge: VIA Technologies, Inc. PT890 PCI to PCI Bridge Controller
(prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        I/O behind bridge: 0000e000-0000efff
        Memory behind bridge: f9000000-fbdfffff
        Prefetchable memory behind bridge: c0000000-cfffffff
        Capabilities: [40] Express Root Port (Slot+), MSI 00
        Capabilities: [68] Power Management version 2
        Capabilities: [70] Message Signalled Interrupts: Mask+ 64bit+ Queue=0/0
Enable+
        Kernel driver in use: pcieport-driver
        Kernel modules: shpchp

00:0f.0 IDE interface: VIA Technologies, Inc. VT8237A SATA 2-Port Controller
(rev 80) (prog-if 8f [Master SecP SecO PriP PriO])
        Subsystem: VIA Technologies, Inc. VT8237A SATA 2-Port Controller
        Flags: bus master, medium devsel, latency 64, IRQ 21
        I/O ports at dc00 [size=8]
        I/O ports at d880 [size=4]
        I/O ports at d800 [size=8]
        I/O ports at d480 [size=4]
        I/O ports at d400 [size=16]
        I/O ports at d000 [size=256]
        Capabilities: [c0] Power Management version 2
        Kernel driver in use: sata_via
        Kernel modules: ata_generic, pata_acpi, sata_via

00:0f.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 07) (prog-if 8a
[Master SecP PriP])
        Subsystem: VIA Technologies, Inc.
VT82C586/B/VT82C686/A/B/VT8233/A/C/VT8235 PIPC Bus Master IDE
        Flags: bus master, medium devsel, latency 32
        [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
        [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
        [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
        [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
        I/O ports at fc00 [size=16]
        Capabilities: [c0] Power Management version 2
        Kernel driver in use: pata_via
        Kernel modules: pata_via, ata_generic, pata_acpi

00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev a0) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
        Flags: bus master, medium devsel, latency 64, IRQ 20
        I/O ports at cc00 [size=32]
        Capabilities: [80] Power Management version 2
        Kernel driver in use: uhci_hcd
        Kernel modules: uhci-hcd

00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev a0) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
        Flags: bus master, medium devsel, latency 64, IRQ 22
        I/O ports at c880 [size=32]
        Capabilities: [80] Power Management version 2
        Kernel driver in use: uhci_hcd
        Kernel modules: uhci-hcd

00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev a0) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
        Flags: bus master, medium devsel, latency 64, IRQ 21
        I/O ports at c800 [size=32]
        Capabilities: [80] Power Management version 2
        Kernel driver in use: uhci_hcd
        Kernel modules: uhci-hcd

00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev a0) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
        Flags: bus master, medium devsel, latency 64, IRQ 23
        I/O ports at c480 [size=32]
        Capabilities: [80] Power Management version 2
        Kernel driver in use: uhci_hcd
        Kernel modules: uhci-hcd

00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86) (prog-if 20 [EHCI])
        Subsystem: VIA Technologies, Inc. USB 2.0
        Flags: bus master, medium devsel, latency 64, IRQ 21
        Memory at f8fffc00 (32-bit, non-prefetchable) [size=256]
        Capabilities: [80] Power Management version 2
        Kernel driver in use: ehci_hcd
        Kernel modules: ehci-hcd

00:11.0 ISA bridge: VIA Technologies, Inc. VT8237A PCI to ISA Bridge
        Subsystem: VIA Technologies, Inc. VT8237A PCI to ISA Bridge
        Flags: medium devsel
        Capabilities: [c0] Power Management version 2
        Kernel modules: i2c-viapro

00:11.7 Host bridge: VIA Technologies, Inc. VT8251 Ultra VLINK Controller
        Subsystem: VIA Technologies, Inc. Unknown device 337e
        Flags: bus master, medium devsel, latency 128
        Capabilities: [58] HyperTransport: Interrupt Discovery and Configuration

00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 7c)
        Subsystem: ASUSTeK Computer Inc. Unknown device 80ed
        Flags: bus master, medium devsel, latency 64, IRQ 23
        I/O ports at c000 [size=256]
        Memory at f8fff800 (32-bit, non-prefetchable) [size=256]
        Capabilities: [40] Power Management version 2
        Kernel driver in use: via-rhine
        Kernel modules: via-rhine

00:13.0 PCI bridge: VIA Technologies, Inc. VT8237A Host Bridge (prog-if 00
[Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        Memory behind bridge: fbe00000-fbefffff
        Capabilities: [60] HyperTransport: MSI Mapping Enable- Fixed+
        Capabilities: [70] Subsystem: Unknown device 7dc7:6f9e
        Kernel modules: shpchp

00:13.1 PCI bridge: VIA Technologies, Inc. VT8237A PCI to PCI Bridge (prog-if 01
[Subtractive decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
        Memory behind bridge: fbf00000-fbffffff
        Capabilities: [60] HyperTransport: MSI Mapping Enable- Fixed+
        Capabilities: [70] Subsystem: Unknown device 5076:673a

02:00.0 VGA compatible controller: nVidia Corporation G71 [GeForce 7900 GS] (rev
a1) (prog-if 00 [VGA controller])
        Subsystem: eVga.com. Corp. Unknown device c624
        Flags: bus master, fast devsel, latency 0, IRQ 24
        Memory at fa000000 (32-bit, non-prefetchable) [size=16M]
        Memory at c0000000 (64-bit, prefetchable) [size=256M]
        Memory at f9000000 (64-bit, non-prefetchable) [size=16M]
        I/O ports at ec00 [size=128]
        Expansion ROM at fbde0000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [68] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Capabilities: [78] Express Endpoint, MSI 00
        Kernel modules: nvidiafb

03:01.0 Audio device: VIA Technologies, Inc. VIA High Definition Audio
Controller (rev 10)
        Subsystem: ASUSTeK Computer Inc. Unknown device 81b5
        Flags: bus master, fast devsel, latency 0, IRQ 17
        Memory at fbefc000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel

04:05.0 Network controller: RaLink RT2561/RT61 802.11g PCI
        Subsystem: RaLink EW-7108PCg
        Flags: bus master, slow devsel, latency 64, IRQ 17
        Memory at fbff8000 (32-bit, non-prefetchable) [size=32K]
        Capabilities: [40] Power Management version 2
        Kernel driver in use: rt61pci
        Kernel modules: rt61pci
Comment 4 John W. Linville 2008-05-02 16:51:57 EDT
I cannot replicate this with 2.6.24.5-88.fc8 -- can you?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=47828
Comment 5 Jeffrey R. Evans 2008-05-13 03:24:49 EDT
With the 2.6.24.5-88.fc8 kernel please close the bug as resolved.

Note You need to log in before you can comment on or make changes to this bug.